%define archname gtk+
%define major 0
%define libname %mklibname gtk-linux-fb-2.0_ %{major}

Summary:	gtk+ linux-fb libraries
Name:		gtk-linux-fb-2.0
Version:	2.4.14
Release:	%mkrel 9
License:	GPL
Group:		System/Configuration/Other
Source0:	%{archname}-%{version}.tar.bz2
Patch0:		gtk+-2.4.14-no_DISABLE_DEPRECATED_fix.diff
Patch1:		gtk+-2.4.14-linkage_fix.diff
Patch2:		gtk+-2.4.14-g_hash_table_get_keys_fix.diff
BuildRequires:	automake1.7
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libglib2-devel libatk-devel libpango-devel
BuildRequires:	libtiff-devel libpng-devel
BuildRequires:	libtool gtk-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
gtk+ linux-fb libraries

%package -n %{libname}
Summary: gtk+ linux-fb library
Group: System/Libraries

%description -n %{libname}
gtk+ linux-fb library

%package -n %{libname}-devel
Summary:  Development library for gtk+-linux-fb-2.0
Group: 	  Development/C
Requires: %{libname} = %{version}
Provides: gtk-linux-fb-2.0-devel = %{version}-%{release} libgtk-linux-fb-2.0-devel = %{version}-%{release} gdk-linux-fb-2.0-devel = %{version}-%{release} libgdk-linux-fb-2.0-devel = %{version}-%{release}

%description -n %{libname}-devel
Development library for gtk+-linux-fb-2.0

%prep

%setup -q -n %{archname}-%{version}
%patch0 -p1 -b .no_DISABLE_DEPRECATED_fix
%patch1 -p0 -b .linkage_fix
%patch2 -p1 -b .g_hash_table_get_keys_fix

#needed by all patches
autoreconf

%build
%configure2_5x --with-gdktarget=linux-fb --enable-gtk-doc=no

%make

%install
rm -rf %{buildroot}

# install shared libs only
make install-libLTLIBRARIES DESTDIR=%{buildroot} -C gdk
make install-libLTLIBRARIES DESTDIR=%{buildroot} -C gtk
rm -f %{buildroot}%{_libdir}/*.la

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
 
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(755,root,root)
%{_libdir}/libgtk-*.so.*
%{_libdir}/libgdk-*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libgdk-*.so
%{_libdir}/libgtk-*.so


%changelog
* Thu Jul 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.14-9mdv2009.0
+ Revision: 257584
- rebuild
- add patch backups

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update patch3 to ensure new glib calls aren't used
    - Simplify specfile by using autoreconf and adding gtk-doc as buildrequires

* Thu Jul 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.14-8mdv2009.0
+ Revision: 256868
- fix autopoo
- fix group
- added P0 to drop the DISABLE_DEPRECATED stuff
- added P1 to fix linkage
- added P2 to fix conflicting declaration of g_hash_table_get_keys
- pass GNU_SOURCE everywhere...
- fix deps

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized
    - fix no-buildroot-tag
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + David Walluck <walluck@mandriva.org>
    - use valid Group
    - rebuild to fix %%mkrel


* Mon Oct 17 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.14-6mdk
- add BuildRequires: libgdk_pixbuf2.0-devel

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.4.14-5xmdk
- install only libs

* Mon May 02 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.14-4mdk
- add BuildRequires: libglib2-devel libatk-devel libpango-devel
  libtiff-devel libpng-devel

* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 2.4.14-2mdk
- fix rpath problem

* Thu Mar 10 2005 Warly <warly@mandrakesoft.com> 0.2.20-1mdk
- updated for rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 0.2.19-1mdk
- fix bad jpeg format

* Mon Feb 21 2005 Warly <warly@mandrakesoft.com> 0.2.18-1mdk
- theme for 10.2 beta 3
- add new x,y position for animation
- try to stop animation sooner, not to have it remaining in console mode

* Fri Feb 04 2005 Warly <warly@mandrakesoft.com> 0.2.17-1mdk
- theme for 10.2 beta 2

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.2.16-1mdk
- 10.2 beta

* Fri Dec 24 2004 Warly <warly@mandrakesoft.com> 0.2.15-1mdk
- Cooker Xmas theme

* Mon Aug 23 2004 Warly <warly@mandrakesoft.com> 0.2.10-2mdk
- obsolete also mandrake-theme

* Tue Aug 03 2004 Warly <warly@mandrakesoft.com> 0.2.10-1mdk
- fix theme name in config file

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.9-1mdk
- fix corporate configuration files

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.8-1mdk
- fix post install scripts
- add prereq on bootplash for extra packages (server and desktop)

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.7-1mdk
- include corporate server and desktop theme
- more Mandrake->Mandrakelinux switches

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.5-4mdk
- coporate server 3.0

* Tue Jul 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-3mdk
- Euskara version

* Tue May 11 2004 Warly <warly@mandrakesoft.com> 0.2.5-2mdk
- 10.0 Shuttle version

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-1mdk
- switch lilo selection to white

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.4-1mdk
- fix timer displaying

* Tue Jan 20 2004 Warly <warly@mandrakesoft.com> 0.2.2-1mdk
- Try to have a little better lilo color choice

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.1-1mdk
- forget desktop background

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.0-1mdk
- renamed mandrake-theme
- test theme

* Sat Sep 20 2003 Warly <warly@mandrakesoft.com> 0.1.1-1mdk
- do nothing in %%post in upgrade

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 0.1.0-1mdk
- replace black 1024 and 1280 images for powerpack and mandrake theme
- new lilo with progress bar

* Tue Sep 09 2003 Warly <warly@mandrakesoft.com> 0.0.9-1mdk
- I am dead
- fix text in 800x600 mandrake/powerpack theme
- fix post powerpack theme script

* Tue Sep 09 2003 Warly <warly@mandrakesoft.com> 0.0.8-1mdk
- next time I commit suicide

* Mon Sep 08 2003 Warly <warly@mandrakesoft.com> 0.0.7-1mdk
- fix progress bar position in 800x600 for default theme

* Fri Sep 05 2003 Warly <warly@mandrakesoft.com> 0.0.6-1mdk
- fix discovery 1024x768

* Fri Aug 29 2003 Warly <warly@mandrakesoft.com> 0.0.5-1mdk
- new discovery black background
- various post install script fixes
- new discovery lilo boot logo

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.4-1mdk
- s,backgrounds/mdk,mdk/backgrounds,
- fix remove_theme

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.3-1mdk
- fix theme installation during install

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.2-1mdk
- s,backgrounds,backgrounds/mdk,

* Mon Aug 25 2003 Warly <warly@mandrakesoft.com> 0.0.1-1mdk
- new theme package

